#include "tvsserver_base.h"
#include "http_c_example_init.h"
#include <stdio.h>
#include <stdlib.h> 
#include "http_c_example_handle.h"
#include "http_c_example_bind.h"

struct Export_Table  my_export_table = 
{
	0,
	sizeof(Export_Table)-8,
	(GetProtocolNames*) _GetProtocolNames,
	(StartProtocol*) _StartProtocol,\
	(BindToProtocolCallBack*) _BindToProtocolCallBack,\
	(StartListening*) 0,\
	(HandleConnection*) _HandleConnection,\
	(RecvData*) 0,\
	(SendData*) 0,\
	(CloseClientSession*) 0
};

APIImportTable importTable;

#include "tvs_redefine_api_names.h"

//Load the import table and send the export table
void __stdcall __asm_exchange_tables(
	__in	__get_export_table *get_export_table_internal,
	__in	__get_export_table *get_export_table
){
	//init HTTP-protocol library
	__asm_exchange_tables_http(get_export_table_internal, get_export_table);
	//get the exports from TV's server
	importTable.size = sizeof(APIImportTable) - 8;
	get_export_table((APIImportTable*) (((char*)&importTable)+4));
	//set exports from plugin
	__asm_set_export_table((Export_Table*) (((char*)&my_export_table)+4));
}