#include <stdio.h>
#include <stdlib.h> 

#include "tvsserver_base.h"
#include "tvs_redefine_api_names.h"
#include "http_c_example_init.h"
#include "http_c_example_bind.h"

int __stdcall _BindToProtocolCallBack(ProtocolSession *psess, ListenSession *lsess, int flags) {
    ProtocolData* pdata = FindProtocolDataStruct(psess, lsess->data);
    MyHTTPstruct* httpData;
 
	if(psess==http_psess) {
        httpData = (MyHTTPstruct*) &pdata->data;
 
        //free the memory if the other Bind functions fails.
        if(!RequestToBindToNextProtocol(psess, lsess)) {
            free(httpData->serverPath);
            return 0;
        }
			
        return 1;
    }
}