/*The function __asm_exchange_tables will send the export table from this plugin to TV's server and receives the import table with TV's server API pointers*/
#include "tvsserver_base.h"
#include "c_example_init.h"
#include <stdio.h>
#include <stdlib.h>
#include "c_example_handle.h"
#include "c_example_bind.h"
#include "c_example_listen.h"

APIImportTable importTable;

//The functions this plugin exports
struct Export_Table  my_export_table = 
{
	0,
	sizeof(Export_Table)-8,
	(GetProtocolNames*) _GetProtocolNames,
	(StartProtocol*) _StartProtocol,\
	(BindToProtocolCallBack*) _BindToProtocolCallBack,\
	(StartListening*) _StartListening,\
	(HandleConnection*) _HandleConnection,\
	(RecvData*) _RecvData,\
	(SendData*) _SendData,\
	(CloseClientSession*) _CloseClientSession,\
	(GetClientSessionInfo*) 0,\
	(PrepareCloseListenSession*) _PrepareCloseListenSession,\
	(CloseListenSession*) _CloseListenSession
};

#include "tvs_redefine_api_names.h"


void __stdcall __asm_exchange_tables(
	__in	__get_export_table *get_export_table_internal,
	__in	__get_export_table *get_export_table
){
	importTable.size = sizeof(APIImportTable) - 8;
	get_export_table((APIImportTable*) (((char*)&importTable)+4));
	__asm_set_export_table((Export_Table*) (((char*)&my_export_table)+4));
}
 






